<?php

/**
 * Created by PhpStorm.
 * User: User
 * Date: 05.08.2017
 * Time: 18:21
 */
class Admin
{
    public $login;
    public $password;

    public function userLogin()
    {
        $db = Db::getConnection();
        $sql = 'SELECT * FROM admin WHERE login =:login AND password =:password';
        $result = $db->prepare($sql);
        $result->bindParam(':login', $this->login, PDO::PARAM_STR);
        $result->bindParam(':password', $this->password, PDO::PARAM_STR);
        $result->execute();
        $user = $result->fetch();
        if ($user) {
            return $user;
        }
        return false;
    }

    public function auth()
    {
        $_SESSION['user'] = $this->login;
    }

    public static function checkLogged()
    {

        if (isset($_SESSION['user'])) {
            return $_SESSION['user'];
        }
        header("Location: /admin/");
    }

    public static function isGuest()
    {

        if (isset($_SESSION['user'])) {
            return false;
        }
        return true;
    }

}